## ros-melodic-turtlebot3-navigation 1.2.4

=== CMakeLists.txt ===
################################################################################
# Set minimum required version of cmake, project name and compile options
################################################################################
cmake_minimum_required(VERSION 2.8.3)
project(turtlebot3_navigation)

################################################################################
# Find catkin packages and libraries for catkin and system dependencies
################################################################################
find_package(catkin REQUIRED)

################################################################################
# Setup for python modules and scripts
################################################################################

################################################################################
# Declare ROS messages, services and actions
################################################################################

################################################################################
# Declare ROS dynamic reconfigure parameters
################################################################################

################################################################################
# Declare catkin specific configuration to be passed to dependent projects
################################################################################
catkin_package()

################################################################################
# Build
################################################################################

################################################################################
# Install
################################################################################
install(DIRECTORY launch maps param rviz
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

################################################################################
# Test
################################################################################

=== debian/changelog ===
ros-melodic-turtlebot3-navigation (1.2.4-1stretch) stretch; urgency=high

  * Package info updated
  * Contributors: Will Son

 -- Will Son <willson@robotis.com>  Mon, 28 Sep 2020 15:00:00 -0000

ros-melodic-turtlebot3-navigation (1.2.3-1stretch) stretch; urgency=high

  * none

 -- Will Son <willson@robotis.com>  Mon, 02 Mar 2020 15:00:00 -0000

ros-melodic-turtlebot3-navigation (1.2.2-1stretch) stretch; urgency=high

  * Fixed dwa local planner params for dwa_local_planner 1.16.2 #415 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/415>
  * This patch only applies to ROS 1 Melodic.
  * Contributors: atinfinity, Kayman

 -- Pyo <pyo@robotis.com>  Mon, 19 Aug 2019 15:00:00 -0000

ros-melodic-turtlebot3-navigation (1.2.1-1stretch) stretch; urgency=high

  * Deleted '/' to sync tf2 #402 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/402>
  * Contributors: Ryan Shim, Kayman, Darby Lim

 -- Pyo <pyo@robotis.com>  Mon, 19 Aug 2019 15:00:00 -0000

ros-melodic-turtlebot3-navigation (1.2.0-1stretch) stretch; urgency=high

  * updated map.yaml #348 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/348>
  * added an additional argument move_forward_only to prohibit backward locomotion in navigation #339 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/339>
  * fixed typo #280 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/280>
  * Contributors: Gilbert, Darby Lim, linzhibo, oiz5201618, yoshimalucky, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 21 Jan 2019 15:00:00 -0000

ros-melodic-turtlebot3-navigation (1.1.0-1stretch) stretch; urgency=high

  * added bringup to load multiple robot simply #251
  * added arguments for multiple robot
  * Contributors: Darby Lim, Gilbert, Pyo

 -- Pyo <pyo@robotis.com>  Sun, 22 Jul 2018 15:00:00 -0000

ros-melodic-turtlebot3-navigation (1.0.0-1stretch) stretch; urgency=high

  * modified navigation parameters
  * modified control frequency and inflation radius
  * modified param after experiments
  * merged pull request #202 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/202> from ROBOTIS-GIT/feature-cartographer
  * merged pull request #220 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/220> #212 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/212> #200 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/200> #154 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/154> #153 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/153> #147 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/147> #146 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/146>
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 28 May 2018 15:00:00 -0000

ros-melodic-turtlebot3-navigation (0.2.1-1stretch) stretch; urgency=high

  * refactoring for release
  * Contributors: Pyo

 -- Pyo <pyo@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-melodic-turtlebot3-navigation (0.2.0-1stretch) stretch; urgency=high

  * added waffle pi model (urdf and gazebo)
  * refactoring for release
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Sun, 11 Mar 2018 15:00:00 -0000

ros-melodic-turtlebot3-navigation (0.1.6-1stretch) stretch; urgency=high

  * updated nav param
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Sun, 13 Aug 2017 15:00:00 -0000

ros-melodic-turtlebot3-navigation (0.1.5-1stretch) stretch; urgency=high

  * modified bag and map files
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Wed, 24 May 2017 15:00:00 -0000

ros-melodic-turtlebot3-navigation (0.1.4-1stretch) stretch; urgency=high

  * modified launch file name
  * added teleop package
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Mon, 22 May 2017 15:00:00 -0000

ros-melodic-turtlebot3-navigation (0.1.3-1stretch) stretch; urgency=high

  * modified the package information for release
  * modified SLAM param
  * modified the description, authors, depend option and delete the core package
  * modified the turtlebot bringup files
  * modified pkg setting for turtlebot3_core
  * modified the navigation package and turtlebot3 node for demo
  * modified the wheel speed gain
  * added Intel RealSense R200
  * added LDS sensor
  * Contributors: Darby Lim, Leon Jung, Pyo

 -- Pyo <pyo@robotis.com>  Sun, 23 Apr 2017 15:00:00 -0000

## ros-melodic-turtlebot3-navigation 1.2.5

=== debian/changelog ===
ros-melodic-turtlebot3-navigation (1.2.5-1bionic) bionic; urgency=high

  * No Changes

 -- Will Son <willson@robotis.com>  Tue, 29 Dec 2020 15:00:00 -0000

ros-melodic-turtlebot3-navigation (1.2.4-1bionic) bionic; urgency=high

  * Package info updated
  * Contributors: Will Son

 -- Will Son <willson@robotis.com>  Mon, 28 Sep 2020 15:00:00 -0000

ros-melodic-turtlebot3-navigation (1.2.3-1bionic) bionic; urgency=high

  * none

 -- Will Son <willson@robotis.com>  Mon, 02 Mar 2020 15:00:00 -0000

ros-melodic-turtlebot3-navigation (1.2.2-1bionic) bionic; urgency=high

  * Fixed dwa local planner params for dwa_local_planner 1.16.2 #415 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/415>
  * This patch only applies to ROS 1 Melodic.
  * Contributors: atinfinity, Kayman

 -- Pyo <pyo@robotis.com>  Mon, 19 Aug 2019 15:00:00 -0000

ros-melodic-turtlebot3-navigation (1.2.1-1bionic) bionic; urgency=high

  * Deleted '/' to sync tf2 #402 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/402>
  * Contributors: Ryan Shim, Kayman, Darby Lim

 -- Pyo <pyo@robotis.com>  Mon, 19 Aug 2019 15:00:00 -0000

ros-melodic-turtlebot3-navigation (1.2.0-1bionic) bionic; urgency=high

  * updated map.yaml #348 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/348>
  * added an additional argument move_forward_only to prohibit backward locomotion in navigation #339 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/339>
  * fixed typo #280 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/280>
  * Contributors: Gilbert, Darby Lim, linzhibo, oiz5201618, yoshimalucky, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 21 Jan 2019 15:00:00 -0000

ros-melodic-turtlebot3-navigation (1.1.0-1bionic) bionic; urgency=high

  * added bringup to load multiple robot simply #251
  * added arguments for multiple robot
  * Contributors: Darby Lim, Gilbert, Pyo

 -- Pyo <pyo@robotis.com>  Sun, 22 Jul 2018 15:00:00 -0000

ros-melodic-turtlebot3-navigation (1.0.0-1bionic) bionic; urgency=high

  * modified navigation parameters
  * modified control frequency and inflation radius
  * modified param after experiments
  * merged pull request #202 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/202> from ROBOTIS-GIT/feature-cartographer
  * merged pull request #220 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/220> #212 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/212> #200 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/200> #154 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/154> #153 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/153> #147 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/147> #146 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/146>
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 28 May 2018 15:00:00 -0000

ros-melodic-turtlebot3-navigation (0.2.1-1bionic) bionic; urgency=high

  * refactoring for release
  * Contributors: Pyo

 -- Pyo <pyo@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-melodic-turtlebot3-navigation (0.2.0-1bionic) bionic; urgency=high

  * added waffle pi model (urdf and gazebo)
  * refactoring for release
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Sun, 11 Mar 2018 15:00:00 -0000

ros-melodic-turtlebot3-navigation (0.1.6-1bionic) bionic; urgency=high

  * updated nav param
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Sun, 13 Aug 2017 15:00:00 -0000

ros-melodic-turtlebot3-navigation (0.1.5-1bionic) bionic; urgency=high

  * modified bag and map files
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Wed, 24 May 2017 15:00:00 -0000

ros-melodic-turtlebot3-navigation (0.1.4-1bionic) bionic; urgency=high

  * modified launch file name
  * added teleop package
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Mon, 22 May 2017 15:00:00 -0000

ros-melodic-turtlebot3-navigation (0.1.3-1bionic) bionic; urgency=high

  * modified the package information for release
  * modified SLAM param
  * modified the description, authors, depend option and delete the core package
  * modified the turtlebot bringup files
  * modified pkg setting for turtlebot3_core
  * modified the navigation package and turtlebot3 node for demo
  * modified the wheel speed gain
  * added Intel RealSense R200
  * added LDS sensor
  * Contributors: Darby Lim, Leon Jung, Pyo

 -- Pyo <pyo@robotis.com>  Sun, 23 Apr 2017 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-turtlebot3-navigation
Section: misc
Priority: optional
Maintainer: Will Son <willson@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://wiki.ros.org/turtlebot3_navigation
Standards-Version: 3.9.2

Package: ros-melodic-turtlebot3-navigation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-amcl, ros-melodic-map-server, ros-melodic-move-base, ros-melodic-turtlebot3-bringup
Description: The turtlebot3_navigation provides roslaunch scripts for starting the navigation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-turtlebot3-navigation//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
